use glam::Vec3;

pub struct DirectionallightComponent
{
    pub offset: Vec3,
    pub direction: Vec3,
}

impl DirectionallightComponent
{
    pub fn new(offset: Vec3, direction: Vec3) -> Self
    {
        Self {
            offset,
            direction: direction.normalize(),
        }
    }
}
